cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Copyright | (c) Doug Beardsley 2015
License | BSD-like
Maintainer | cabal-devel@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell2010

Distribution.Client.GenBounds

Description

The cabal gen-bounds command for generating PVP-compliant version bounds.

Synopsis

- genBounds :: Verbosity -> PackageDBStack -> RepoContext -> Compiler -> Platform -> ProgramDb -> GlobalFlags -> FreezeFlags -> IO ()

# Documentation

genBounds :: Verbosity -> PackageDBStack -> RepoContext -> Compiler -> Platform -> ProgramDb -> GlobalFlags -> FreezeFlags -> IO () #

Entry point for the `gen-bounds` command.